Page MenuHomePhabricator

Clean old wmf branches in Gerrit
Closed, ResolvedPublic

Description

As part of scap clean we used to delete branches once they fell out of date. Gerrit https auth was briefly removed and so was automagic branch deletion as part of scap clean.

Now we have a bunch of old branches cluttering up the UI:

wmf/1.34.0-wmf.14
wmf/1.34.0-wmf.15
wmf/1.34.0-wmf.16
wmf/1.34.0-wmf.17
wmf/1.34.0-wmf.18
wmf/1.34.0-wmf.19
wmf/1.34.0-wmf.20
wmf/1.34.0-wmf.21
wmf/1.34.0-wmf.22
wmf/1.34.0-wmf.23
wmf/1.34.0-wmf.24
wmf/1.34.0-wmf.24-bak
wmf/1.34.0-wmf.25
wmf/1.34.0-wmf.25-bak
wmf/1.35.0-wmf.1
wmf/1.35.0-wmf.2
wmf/1.35.0-wmf.3
wmf/1.35.0-wmf.4
wmf/1.35.0-wmf.5
wmf/1.35.0-wmf.8

In the past we just deleted these branches. This allows us to reclaim space on the gerrit server in addition to cleaning up the UI.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2020, 3:18 PM
thcipriani triaged this task as Medium priority.Feb 5 2020, 3:19 PM

I'd like to pair with someone else on Release-Engineering-Team who is unfamiliar with scap clean rather than JFDIing it.

brennen claimed this task.Feb 28 2020, 7:25 PM
brennen added a project: User-brennen.
brennen moved this task from Backlog to In Progress on the User-brennen board.

Mentioned in SAL (#wikimedia-releng) [2020-02-28T19:37:03Z] <brennen> in process of deleting many old branches for T244368

Mentioned in SAL (#wikimedia-releng) [2020-02-28T20:00:26Z] <brennen> finished deleting wmf/1.34.0-wmf.* branches for T244368

Change 576136 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[mediawiki/tools/release@master] add delete-wmf-branches

https://gerrit.wikimedia.org/r/576136

Change 576136 merged by jenkins-bot:
[mediawiki/tools/release@master] add delete-wmf-branches

https://gerrit.wikimedia.org/r/576136

brennen closed this task as Resolved.Mar 23 2020, 4:23 PM
brennen moved this task from Needs/Waiting Review to Done / Defunct on the User-brennen board.